Skip to main content
GET
/
fixtures
/
validation
Get a Merkle proof for a specific fixture update
curl --request GET \
  --url https://api.example.com/fixtures/validation \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Api-Token: <api-key>'
{
  "snapshot": {
    "Ts": 123,
    "StartTime": 123,
    "Competition": "<string>",
    "CompetitionId": 123,
    "FixtureGroupId": 123,
    "Participant1Id": 123,
    "Participant1": "<string>",
    "Participant2Id": 123,
    "Participant2": "<string>",
    "FixtureId": 123,
    "Participant1IsHome": true
  },
  "summary": {
    "fixtureId": 123,
    "competitionId": 123,
    "competition": "<string>",
    "updateStats": {
      "updateCount": 123,
      "minTimestamp": 123,
      "maxTimestamp": 123
    },
    "updateSubTreeRoot": "<string>"
  },
  "subTreeProof": {},
  "mainTreeProof": {}
}

Documentation Index

Fetch the complete documentation index at: https://txline-docs.txodds.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

User's session JWT.

X-Api-Token
string
header
required

The user's long-lived API token, obtained from the activation endpoint.

Headers

Authorization
string
required

Bearer token for the user's session JWT.

X-Api-Token
string
required

The user's long-lived API token.

Query Parameters

fixtureId
integer<int64>
required

The ID of the fixture to validate.

timestamp
integer<int64>

Optional. A Unix timestamp (ms) to get the validation proof for a specific point in time. Defaults to now.

Response

snapshot
Fixture · object
required
summary
FixtureBatchSummary · object
required
subTreeProof
Nil · object
required
mainTreeProof
Nil · object
required